### Class

# GtkSource Hover

#### Description [src]

    final class GtkSource.Hover : GObject.Object
    {
      /* No available fields */
    }

Interactive tooltips.

`GtkSourceHover` allows a `GtkSourceView` to provide contextual information. When enabled, if the user hovers over a word in the text editor, a series of registered `GtkSourceHoverProvider` can populate a `GtkSourceHoverDisplay` with useful information.

To enable call `gtk_source_view_get_hover()` and add `GtkSourceHoverProvider` using `gtk_source_hover_add_provider()`. To disable, remove all registered providers with `gtk_source_hover_remove_provider()`.

You can change how long to wait to display the interactive tooltip by setting the `GtkSourceHover:hover-delay` property in milliseconds.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gtk_source_hover_add_provider

No description available.

###### gtk_source_hover_remove_provider

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.Hover:hover-delay

Contains the number of milliseconds to delay before showing the hover assistant.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceHoverClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.